#!/bin/sh
set -e

# General dependencies #
apk add --update bash git nano build-base postgresql-dev nodejs yarn

# User setup #
addgroup -g 1000 loop && adduser -u 1000 -G loop -s /bin/bash -D loop

# Install development dependencies #
if [ "$RAILS_ENV" = "development" ]; then
  apk add --update sudo zsh openssh git-crypt
  echo "loop ALL=(ALL) NOPASSWD: ALL" > /etc/sudoers.d/loop
  chmod 0440 /etc/sudoers.d/loop
fi